Name: gnac
Summary:  An audio converter for GNOME
Version:  0.2.1
Release:  1
License:  GPL-2
Group:  Applications/Multimedia
Source:	    %{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	libgnomeui >= 2.0.0
Requires:	glib2 >= 2.0.0
Requires:	gstreamer >= 0.8.0
Requires:	GConf2 >= 2.0.0
Requires:	gstreamer-plugins-base >= 0.7.2
BuildRequires:	libgnomeui-devel >= 2.0.0
BuildRequires:	glib2-devel >= 2.0.0
BuildRequires:	gstreamer-devel >= 0.8.0
BuildRequires:	GConf2-devel >= 2.0.0
BuildRequires:  gnome-media-devel >= 2.0.0

%description
GStreamer based audio converter for GNOME.

%prep
%setup -q

%build

%configure

make

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1;
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# Clean out bad files
rm -rf $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper

%find_lang gnac 

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%preun
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` 
gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gnac.schemas > /dev/null

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` 
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnac.schemas > /dev/null

%files -f gnac.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README NEWS
%{_bindir}/gnac
%{_sysconfdir}/gconf/schemas/gnac.schemas
%{_datadir}/gnac
%{_datadir}/applications/gnac.desktop
%{_datadir}/pixmaps/gnac.png
%{_datadir}/gnome/help
%{_datadir}/omf

%changelog
* Thu May 24 2007 Benoit Dupasquier <bdupasqu@users.sourceforge.net>
- Make spec file for gnac (based on sound-juicer spec file)
