/*
 * $Id: gnac-profiles.h 288 2009-03-25 20:30:10Z alexandreroux $
 *
 * This file is part of GNAC - Gnome Audio Converter
 *
 * Copyright (C) 2007 - 2009 Gnac
 *    
 *    - DUPASQUIER  Benoit    <bdupasqu@users.sourceforge.net>
 *    - JOAQUIM     David     <daiji@users.sourceforge.net>
 *    - ROUX        Alexandre <alexandreroux@users.sourceforge.net>
 *
 * GNAC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GNAC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GNAC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, 
 * Boston, MA  02110-1301  USA
 */

#ifndef GNAC_PROFILES_H
#define GNAC_PROFILES_H

#include <gtk/gtk.h>

void
gnac_profiles_init(void);

void
gnac_profiles_destroy(void);

GtkWidget *
gnac_profiles_get_widget(GtkWidget *parent);

const gchar *
gnac_profiles_get_pipeline(void);

const gchar *
gnac_profiles_get_extension(void);

const gchar *
gnac_profiles_get_name(void);

void
gnac_profiles_set_current_profile(const gchar *name);

void
gnac_profiles_on_edit(void);

#endif /* GNAC_PROFILES_H */
